<template>
  <q-layout view="lHh LpR lFf">
    <q-header
      reveal
      :class="$q.dark.isActive ? 'header_dark' : 'header_normal'"
    >
      <q-toolbar>
        <q-btn
          @click="left = !left"
          flat
          round
          dense
          icon="menu"
          class="q-mr-sm"
        />
        <q-toolbar-title>Fixed Asset Management System </q-toolbar-title>
        <q-btn
          class="q-mr-xs"
          flat
          round
          @click="$q.dark.toggle()"
          :icon="$q.dark.isActive ? 'nights_stay' : 'wb_sunny'"
        />
        <q-btn flat round dense icon="search" class="q-mr-xs" />
        <q-btn
          flat
          round
          dense
          icon="fas fa-sign-out-alt"
          @click="logoutNotify"
          to="/"
        />
      </q-toolbar>
    </q-header>
    <q-drawer
      class="left-navigation text-white"
      show-if-above
      v-model="left"
      elevated
    >
      <div
        class="full-height"
        :class="$q.dark.isActive ? 'drawer_dark' : 'drawer_normal'"
      >
        <div style="height: calc(100% - 117px);padding:10px;">
          <q-toolbar>
            <q-avatar>
              <img src="https://cdn.quasar.dev/img/boy-avatar.png" />
            </q-avatar>
            <q-toolbar-title>Francis Louie Alolor</q-toolbar-title>
          </q-toolbar>
          <hr />
          <q-scroll-area style="height:100%;">
            <q-list padding>
              <q-item
                active-class="tab-active"
                to="/"
                exact
                class="q-ma-sm navigation-item"
                clickable
                v-ripple
              >
                <q-item-section avatar>
                  <q-icon name="dashboard" />
                </q-item-section>
                <q-item-section>
                  Dashboard
                </q-item-section>
              </q-item>
              <q-item
                active-class="tab-active"
                to="equiplist"
                class="q-ma-sm navigation-item"
                clickable
                v-ripple
              >
                <q-item-section avatar>
                  <q-icon name="list" />
                </q-item-section>
                <q-item-section>
                  Equipment
                </q-item-section>
              </q-item>
               <q-expansion-item :content-inset-level="0.5"
               expand-separator
               icon="add_box"
               class="q-ma-sm navigation-item"
               label="Add Equipment"
               >
              <q-item
                  active-class="tab-active"
                  to="add-laptop"
                  class="q-ma-sm navigation-item"
                  clickable
                  v-ripple
                >
                <q-item-section avatar>
                    <q-icon name="computer" />
                  </q-item-section>
                  <q-item-section>
                    Laptop
                  </q-item-section>
                </q-item>
              <q-item
                active-class="tab-active"
                to="/add-phone"
                class="q-ma-sm navigation-item"
                clickable
                v-ripple
              >
                <q-item-section avatar>
                  <q-icon name="phone_iphone" />
                </q-item-section>
                <q-item-section>
                  Phone
                </q-item-section>
              </q-item>
              <q-item
                  active-class="tab-active"
                  to="/add-desktop"
                  class="q-ma-sm navigation-item"
                  clickable
                  v-ripple
                >
                <q-item-section avatar>
                    <q-icon name="desktop_windows" />
                  </q-item-section>
                  <q-item-section>
                    Desktop
                  </q-item-section>
                </q-item>
                <q-item
                  active-class="tab-active"
                  to="/add-other"
                  class="q-ma-sm navigation-item"
                  clickable
                  v-ripple
                >
                <q-item-section avatar>
                    <q-icon name="devices_other" />
                  </q-item-section>
                  <q-item-section>
                    Other Devices
                  </q-item-section>
                </q-item>
      </q-expansion-item>
               <!-- <q-item
                  active-class="tab-active"
                  to="add"
                  class="q-ma-sm navigation-item"
                  clickable
                  v-ripple
                >
                <q-item-section avatar>
                    <q-icon name="add" />
                  </q-item-section>
                  <q-item-section>
                    Add Equipment
                  </q-item-section>
                </q-item>
                <q-item
                active-class="tab-active"
                to="/transactions"
                class="q-ma-sm navigation-item"
                clickable
                v-ripple
              >
                <q-item-section avatar>
                  <q-icon name="assignment" />
                </q-item-section>
                <q-item-section>
                  Transactions
                </q-item-section>
              </q-item>
              <q-item
                active-class="tab-active"
                to="/calendar"
                class="q-ma-sm navigation-item"
                clickable
                v-ripple
              >
                <q-item-section avatar>
                  <q-icon name="calendar_today" />
                </q-item-section>
                <q-item-section>
                  Calendar
                </q-item-section>
              </q-item>
              <q-item
                active-class="tab-active"
                to="/department"
                class="q-ma-sm navigation-item"
                clickable
                v-ripple
              >
                <q-item-section avatar>
                  <q-icon name="business" />
                </q-item-section>
                <q-item-section>
                  Department
                </q-item-section>
              </q-item> -->
              <q-item
                active-class="tab-active"
                to="/userprofile"
                class="q-ma-sm navigation-item"
                clickable
                v-ripple
              >
                <q-item-section avatar>
                  <q-icon name="account_box" />
                </q-item-section>
                <q-item-section>
                  My Profile
                </q-item-section>
              </q-item>
          </q-list>
          </q-scroll-area>
        </div>
      </div>
    </q-drawer>
    <q-page-container>
      <q-page class="row no-wrap">
        <div class="col">
          <div class="full-height">
            <q-scroll-area class="col q-pr-sm full-height" visible>
              <router-view />
            </q-scroll-area>
          </div>
        </div>
      </q-page>
    </q-page-container>
  </q-layout>
</template>
<script>
export default {
  data () {
    return {
      left: false
    }
  },
  methods: {
    logoutNotify () {
      this.$q.notify({
        message: 'Logged out'
      })
    }
  }
}
</script>
<style>
.q-drawer {
  background-image: url("/statics/images/lake.jpg") !important;
  background-size: cover !important;
}
.drawer_normal {
  background-color:#41AD52;
}
.drawer_dark {
  background-color: #010101f2;
}
.navigation-item {
  border-radius: 5px;
}
.tab-active {
  background-color: green;
}
body {
  background: rgb(219, 219, 219)!important;
}
.header_normal {
  background: #41AD52;
}
.header_dark {
  background: linear-gradient(145deg, rgb(61, 14, 42) 15%, rgb(14, 43, 78) 70%);
}
</style>
